Phar::setMetadata
PharData::setStub
PharData
PHP Manual

# Phar::setSignatureAlgorithm

(PECL phar:1.1.0-1.2.1)

Phar::setSignatureAlgorithm — set the signature algorithm for a phar and apply it. The

### Description

array Phar::setSignatureAlgorithm ( int `$sigtype` )

> Note: This method requires the php.ini setting phar.readonly to be set to 0 in order to work for Phar objects. Otherwise, a PharException will be thrown.

set the signature algorithm for a phar and apply it. The signature algorithm must be one of Phar::MD5, Phar::SHA1, Phar::SHA256, Phar::SHA512, or Phar::PGP (pgp not yet supported and falls back to SHA-1).

### Parameters

`sigtype`

  One of Phar::MD5, Phar::SHA1, Phar::SHA256, Phar::SHA512, or Phar::PGP

### Return Values

### Errors/Exceptions

Throws UnexpectedValueException for many errors, BadMethodCallException if called for a zip- or a tar-based phar archive, and a PharException if any problems occur flushing changes to disk.

### See Also

- Phar::getSupportedSignatures()
- Phar::getSignature()

Phar::setMetadata
PharData::setStub
PharData
PHP Manual